
singleton Material("hatch.skin.spoon racing")
{
    mapTo = "hatch.skin.spoon racing";
    overlayMap[2] = "vehicles/hatch/spoon racing/spoon racing.dds";
    diffuseMap[2] = "vehicles/hatch/hatch_c_alt.dds";
    specularMap[2] = "vehicles/hatch/hatch_s_alt.dds";
    normalMap[2] = "vehicles/hatch/hatch_n.dds";
    diffuseMap[1] = "vehicles/hatch/hatch_d_alt.dds";
    specularMap[1] = "vehicles/hatch/hatch_s_alt.dds";
    normalMap[1] = "vehicles/hatch/hatch_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/hatch/hatch_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("hatch_lettering.skin.spoon racing")
{
    mapTo = "hatch_lettering.skin.spoon racing";
    specularMap[0] = "vehicles/hatch/spoon racing/hatch_lettering_s.dds";
    normalMap[0] = "vehicles/hatch/hatch_lettering_n.dds";
    diffuseMap[0] = "vehicles/hatch/spoon racing/hatch_lettering_d.dds";
    reflectivityMap[0] = "vehicles/hatch/spoon racing/hatch_lettering_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    //translucentZWrite = "1";
};

singleton Material("hatch_glass.skin.spoon racing")
{
    mapTo = "hatch_glass.skin.spoon racing";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/hatch/spoon racing/hatch_glass_d.dds";
    opacityMap[0] = "vehicles/hatch/spoon racing/hatch_glass_d.dds";
    diffuseMap[1] = "vehicles/hatch/spoon racing/hatch_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("hatch_glass_int.skin.spoon racing")
{
    mapTo = "hatch_glass_int.skin.spoon racing";
    diffuseMap[0] = "vehicles/hatch/spoon racing/hatch_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("hatch_windshield_dmg.skin.spoon racing")
{								
    mapTo = "hatch_windshield_dmg.skin.spoon racing";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/hatch/spoon racing/hatch_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("hatch_engine.skin.spoon racing")
{
    mapTo = "hatch_engine.skin.spoon racing";
    normalMap[0] = "coupe_engine_n.dds";
    diffuseMap[0] = "vehicles/hatch/spoon racing/coupe_engine_d.dds";
    specularMap[0] = "vehicles/hatch/spoon racing/coupe_engine_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "128";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};