singleton Material("sunburst.skin.unisia jecs")
{
    mapTo = "sunburst.skin.unisia jecs";
    overlayMap[2] = "vehicles/sunburst/unisia jecs/unisia jecs.dds";
    diffuseMap[2] = "vehicles/sunburst/sunburst_c.dds";
    specularMap[2] = "vehicles/sunburst/sunburst_s.dds";
    normalMap[2] = "vehicles/sunburst/sunburst_n.dds";
    diffuseMap[1] = "vehicles/sunburst/sunburst_d.dds";
    specularMap[1] = "vehicles/sunburst/sunburst_s.dds";
    normalMap[1] = "vehicles/sunburst/sunburst_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sunburst/sunburst_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sunburst_glass.skin.unisia jecs")
{
    mapTo = "sunburst_glass.skin.unisia jecs";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/sunburst/unisia jecs/sunburst_glass_d.dds";
    opacityMap[0] = "vehicles/sunburst/unisia jecs/sunburst_glass_d.dds";
    diffuseMap[1] = "vehicles/sunburst/unisia jecs/sunburst_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sunburst_glass_int.skin.unisia jecs")
{
    mapTo = "sunburst_glass_int.skin.unisia jecs";
    diffuseMap[0] = "vehicles/sunburst/unisia jecs/sunburst_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sunburst_windshield_dmg.skin.unisia jecs")
{
    mapTo = "sunburst_windshield_dmg.skin.unisia jecs";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/sunburst/unisia jecs/sunburst_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sunburst_lettering.skin.unisia jecs")
{
    mapTo = "sunburst_lettering.skin.unisia jecs";
    specularMap[0] = "vehicles/sunburst/unisia jecs/sunburst_lettering_s.dds";
    normalMap[0] = "vehicles/sunburst/tunisia jecs/sunburst_lettering_n.dds";
    diffuseMap[0] = "vehicles/sunburst/unisia jecs/sunburst_lettering_d.dds";
    reflectivityMap[0] = "vehicles/sunburst/unisia jecs/sunburst_lettering_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    //translucentZWrite = "1";
};

singleton Material("sunburst_interior.skin.unisia jecs")
{
    mapTo = "sunburst_interior.skin.unisia jecs";
    normalMap[0] = "vehicles/sunburst/sunburst_interior_n.dds";
    diffuseMap[0] = "vehicles/sunburst/unisia jecs/sunburst_interior_d.dds";
    specularMap[0] = "vehicles/sunburst/unisia jecs/sunburst_interior_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sunburst_engine.skin.unisia jecs")
{
    mapTo = "sunburst_engine.skin.unisia jecs";
    diffuseMap[0] = "vehicles/sunburst/unisia jecs/sunburst_engine_d.dds";
    specularMap[0] = "vehicles/sunburst/unisia jecs/sunburst_engine_s.dds";
    normalMap[0] = "vehicles/sunburst/sunburst_engine_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};